# $Revision: 1.63 $, $Date: 2011/09/21 19:18:01 $
Summary:	Gives a fake root environment
Summary(pl.UTF-8):	"Podrobione" środowiska roota
Summary(pt_BR.UTF-8):	Cria um falso ambiente de root
Name:		fakeroot
Version:	1.18
Release:	1
License:	GPL v3+
Group:		Development/Tools
Source0:	ftp://ftp.debian.org/debian/pool/main/f/fakeroot/%{name}_%{version}.orig.tar.bz2
# Source0-md5:	b0e7696460ee54bc378b9c89997f77c2
Patch0:		%{name}-man.patch
URL:		http://fakeroot.alioth.debian.org/
BuildRequires:	acl-devel
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	libtool >= 2:2.2
Requires:	util-linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{_prefix}/%{_lib}/libfakeroot

%description
fakeroot runs a command in an environment were it appears to have root
privileges for file manipulation. This is useful for allowing users to
create archives (tar, ar, .deb etc.) with files in them with root
permissions/ownership. Without fakeroot one would have to have root
privileges to create the constituent files of the archives with the
correct permissions and ownership, and then pack them up, or one would
have to construct the archives directly, without using the archiver.

fakeroot works by replacing the file manipulation library functions
(chmod(), stat() etc.) by ones that simulate the effect the real
library functions would have had, had the user really been root. These
wrapper functions are in a shared library libfakeroot.so*, which is
loaded through the LD_PRELOAD mechanism of the dynamic loader.

%description -l pl.UTF-8
Program fakeroot uruchamia polecenia w środowisku, gdzie wydaje im
się, że mają uprawnienia roota przy operacjach na plikach. Jest to
przydatne, aby umożliwić użytkownikom na tworzenie archiwów (tar, ar,
deb) z plikami mającymi będącymi własnością roota. Bez fakeroota do
tworzenia takich plików z właściwymi uprawnieniami potrzebne byłyby
uprawnienia roota lub bezpośrednie tworzenie archiwów bez użycia
normalnego archiwizera.

fakeroot działa poprzez podmianę funkcji bibliotecznych operujących na
plikach (chmod(), stat() itp.) na takie, które symulują efekt
prawdziwych funkcji gdyby były uruchamiane z uprawnieniami roota. Te
specjalne funkcje znajdują się w bibliotece dzielonej libfakeroot.so*
ładowanej poprzez mechanizm LD_PRELOAD.

%description -l pt_BR.UTF-8
Este pacote permite a construção de pacotes por usuários sem
privilégios de root. Isso e' feito utilizando libfakeroot.so com
LD_PRELOAD, que prove implementacoes de getuid, chown, chmod, mknod,
stat e outros, criando um falso ambiente de root.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libfakeroot.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS DEBUG README
%attr(755,root,root) %{_bindir}/faked
%attr(755,root,root) %{_bindir}/fakeroot
%dir %{_libdir}
%attr(755,root,root) %{_libdir}/libfakeroot*.so
%{_mandir}/man1/faked.1*
%{_mandir}/man1/fakeroot.1*
%lang(es) %{_mandir}/es/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(sv) %{_mandir}/sv/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fakeroot.spec,v $
Revision 1.63  2011/09/21 19:18:01  qboosh
- updated to 1.18
- added man patch (restores internationalized mans)

Revision 1.62  2011/08/20 08:37:02  qboosh
- updated to 1.17

Revision 1.61  2011/06/30 07:23:30  marti
- up to 1.16

Revision 1.60  2010/06/04 15:07:55  arvenil
- up to 1.12.4

Revision 1.59  2010/06/04 06:29:05  glen
- adapter

Revision 1.58  2008/12/07 13:42:11  arekm
- up to 1.11

Revision 1.57  2008/08/29 16:17:43  qboosh
- updated to 1.9.6

Revision 1.56  2008/07/20 20:40:08  qboosh
- updated to 1.9.5

Revision 1.55  2007/12/31 01:01:48  zbyniu
- up to 1.8.10

Revision 1.54  2007-03-31 23:52:25  arekm
- up to 1.6.5

Revision 1.53  2007/02/18 19:53:50  qboosh
- updated to 1.5.12

Revision 1.52  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.51  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.50  2006/09/12 22:37:00  qboosh
- updated to 1.5.10
- omit ac/am/lt regeneration - we don't have libtool 2.0 yet

Revision 1.49  2005/11/12 12:51:06  darekr
- updated to 1.5.5

Revision 1.48  2005/10/16 18:47:02  darekr
- updated to 1.5.4

Revision 1.47  2005/08/28 20:25:16  qboosh
- updated to 1.4.3

Revision 1.46  2005/07/18 19:23:16  darekr
- updated to 1.4.2

Revision 1.45  2005/07/02 19:53:24  darekr
- updated to 1.4.1

Revision 1.44  2005/06/12 16:37:28  darekr
- updated to 1.3

Revision 1.43  2005/05/19 22:40:03  zbyniu
- up to 1.2.13

Revision 1.42  2005/05/08 15:20:51  darekr
- updated to 1.2.10

Revision 1.41  2005/04/19 20:31:21  darekr
- updated to 1.2.9

Revision 1.40  2005/04/04 18:55:57  darekr
- updated to 1.2.8

Revision 1.39  2005/03/22 19:08:58  saq
- up to 1.2.7

Revision 1.38  2005/02/02 16:45:35  darekr
- updated to 1.2.4

Revision 1.37  2004/12/25 22:06:34  darekr
- updated to 1.2.2

Revision 1.36  2004/12/12 09:31:37  adamg
- updated to 1.2.1

Revision 1.35  2004/12/01 22:45:23  qboosh
- updated to 1.2

Revision 1.34  2004/10/25 20:32:44  qboosh
- no longer C++

Revision 1.33  2004/10/25 19:15:22  jm
- update by Mateusz Murawski < matowy[at]tlen.pl >

Revision 1.32  2004/10/15 17:48:27  darekr
- updated to 1.1.2

Revision 1.31  2004/08/19 11:48:36  misi3k
- updated to 1.0.7

Revision 1.30  2004/07/04 21:55:48  qboosh
- updated to 1.0.4

Revision 1.29  2004/05/30 15:43:52  adamg
- updated to 0.9.6

Revision 1.28  2004/03/05 22:31:47  adamg
- updated to 0.8.5

Revision 1.27  2004/02/22 01:08:11  qboosh
- updated to 0.8.4

Revision 1.26  2004/01/27 20:16:57  qboosh
- updated to 0.8.3, removed obsolete ac/am patches
- new descriptions - rpm building doesn't require fakeroot

Revision 1.25  2003/07/08 18:26:38  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.24  2003/06/16 19:09:15  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.23  2003/05/28 12:58:55  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 05:47:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2002/10/12 16:50:38  kloczek
- release 7.

Revision 1.20  2002/10/12 16:42:30  qboosh
- really new %%doc

Revision 1.19  2002/10/09 13:14:21  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.18  2002/06/23 20:32:22  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.17  2002/05/21 23:13:01  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.16  2002/05/15 07:14:09  kloczek
- release 6: move gzipping %doc to %build (make spec --short-circuit ready).

Revision 1.15  2002/05/02 19:12:10  qboosh
- automake -a -c -f --foreign - don't change license information in COPYING!!!

Revision 1.14  2002/05/01 23:54:39  blues
- release 5 (debver 2.3)

Revision 1.13  2002/04/28 21:56:28  qboosh
- added amfix patch needed for automake 1.6.x
- removed -f from automake (evil - destroyed COPYING not containing GPL text)
- release 4

Revision 1.12  2002/04/25 16:16:53  arturs
fixed a small typo

Revision 1.11  2002/04/03 13:17:58  qboosh
- Requires: util-linux (because of getopt); release 3

Revision 1.10  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:12:51  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2002/01/11 15:44:41  blues
- release 2 (debver 2.1)
- more docs
- ldconfig call in post added
STB

Revision 1.6  2001/11/03 15:34:27  blues
- 0.4.5 - debversion 2
- make libtool happy
- ac2.5 ready (am_fix.patch added)

Revision 1.5  2001/08/11 16:46:47  blues
- Only translation

Revision 1.4  2001/07/22 13:01:57  blues
- release 3
- new sources (debver 9.2)
- setup corrected (dir name)
- %configure2_13 used and ac/libtool stuff is out

Revision 1.3  2001/04/20 10:20:44  misiek
- BuildRequires: libtool autoconf automake libstdc++-devel
- fixed problem with libtool on sparc
- release 2

Revision 1.2  2001/04/04 18:23:52  kloczek
- rewrited in PLD style.

